summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Daniel <whitehate{at}gmail{dot}com>2010-05-11 22:55:03 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:03 +0200
commit0b727d595f7c034ccefe1826ae4f8571156b1a7e (patch)
tree1fb1c7d56c8ac746ad5679a02a88eec09d1e4100 /network
parentd78b6a7ed3c79aff6f4f94402e3d1b8d5b41208a (diff)
downloadslackbuilds-0b727d595f7c034ccefe1826ae4f8571156b1a7e.tar.gz
slackbuilds-0b727d595f7c034ccefe1826ae4f8571156b1a7e.tar.xz
network/tsocks: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/tsocks/README8
-rw-r--r--network/tsocks/doinst.sh15
-rw-r--r--network/tsocks/slack-desc18
-rw-r--r--network/tsocks/tsocks.SlackBuild103
-rw-r--r--network/tsocks/tsocks.info8
5 files changed, 152 insertions, 0 deletions
diff --git a/network/tsocks/README b/network/tsocks/README
new file mode 100644
index 0000000000..53189ee010
--- /dev/null
+++ b/network/tsocks/README
@@ -0,0 +1,8 @@
+tsocks allows non SOCKS aware applications (e.g telnet, ssh, etc) to use SOCKS
+without any modification. It does this by intercepting the calls that
+applications make to establish network connections and negotating them through
+a SOCKS server as necessary.
+
+tsocks is based on the use of the LD_PRELOAD environment variable or the
+/etc/ld.so.preload file, you'll need permission to use them (normally it's
+allowed, but some customized kernels don't allow this procedure)
diff --git a/network/tsocks/doinst.sh b/network/tsocks/doinst.sh
new file mode 100644
index 0000000000..b065f5b421
--- /dev/null
+++ b/network/tsocks/doinst.sh
@@ -0,0 +1,15 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+
+config etc/tsocks.conf.new
diff --git a/network/tsocks/slack-desc b/network/tsocks/slack-desc
new file mode 100644
index 0000000000..deeed53562
--- /dev/null
+++ b/network/tsocks/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+tsocks: tsocks (transparent SOCKS proxying library)
+tsocks:
+tsocks: tsocks allows non SOCKS aware applications (e.g telnet, ssh, etc)
+tsocks: to use SOCKS without any modification. It does this by intercepting
+tsocks: the calls that applications make to establish network connections
+tsocks: and negotating them through a SOCKS server as necessary.
+tsocks:
+tsocks: Homepage: http://tsocks.sourceforge.net/
+tsocks:
+tsocks:
diff --git a/network/tsocks/tsocks.SlackBuild b/network/tsocks/tsocks.SlackBuild
new file mode 100644
index 0000000000..36547d1f7c
--- /dev/null
+++ b/network/tsocks/tsocks.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for tsocks
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=tsocks
+VERSION=1.8beta5 # only the tarball has the beta5 tag so we need to
+TBVERSION=1.8 # exclude it from the source tree directory name.
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$TBVERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w+r .
+
+
+# I had to force libdir=/usr/lib instead of using EPREFIX=PREFIX because
+# the configure script is broken, it keeps setting it up at /lib
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# include this configuration file validator under a more descriptive name
+cp validateconf $PKG/usr/bin/tsocks-valideteconf
+
+# copy a simple configuration file
+mkdir -p $PKG/etc
+cp tsocks.conf.simple.example $PKG/etc/tsocks.conf.new
+
+# need manual stripping since install-strip is not implemented
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# gzip manuals
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog INSTALL FAQ TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/tsocks/tsocks.info b/network/tsocks/tsocks.info
new file mode 100644
index 0000000000..cabd2a36af
--- /dev/null
+++ b/network/tsocks/tsocks.info
@@ -0,0 +1,8 @@
+PRGNAM="tsocks"
+VERSION="1.8beta5"
+HOMEPAGE="http://tsocks.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/tsocks/tsocks-1.8beta5.tar.gz"
+MD5SUM="51caefd77e5d440d0bbd6443db4fc0f8"
+MAINTAINER="Daniel"
+EMAIL="whitehate{at}gmail{dot}com"
+APPROVED="Erik Hanson"